@import 'variables.scss';

// summary page
.summary-page {
  width: 100%;
  min-height: calc(100vh - 108px);
  position: relative;

  // style for page
  * {
    ul,
    p {
      padding: 0;
      margin: 0;
      list-style-type: none;
    }
  }

  .main-content {
    width: 100%;
    padding-left: 315px;
    position: relative;

    // LEFT SIDE
    .main-content__leftside {
      width: 285px;
      min-width: 285px;
      position: fixed;
      top: 60px;
      left: 80px;
    }
  }

  // right page
  .right-page {
    width: 100%;
    padding: 30px 30px 30px 0;
    overflow: auto;
    position: relative;
    height: calc(100vh - 108px);

    // cover content
    .cover-content {
      display: flex;
      width: 1495px;
      max-width: 1495px;
      margin: 0 auto;
      position: relative;
    }

    // item detail
    .item-detail {
      width: 370px;
      min-width: 370px;
      height: auto;
      margin-right: 20px;
      border-radius: 4px;
      background: $white-text-color;
      box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.25);
      position: relative;

      .top-detail {
        width: 100%;
        height: 72px;
        padding: 17px 0 0 23px;
        border-bottom: 2px solid #e0e0e0;

        .dark-name {
          display: block;
          font-size: 16px;
          font-weight: bold;
          color: $real-black;
          line-height: 21px;

          &::first-letter {
            text-transform: capitalize;
          }
        }

        .light-name {
          display: block;
          font-size: 16px;
          color: $real-black;
          line-height: 21px;

          &::first-letter {
            text-transform: capitalize;
          }
        }
      }

      // second detail
      .second-detail {
        padding: 17px 23px 18px;

        // box res
        .box-res {
          // title box
          .title-box {
            display: block;
            margin-bottom: 9px;
            font-size: 16px;
            font-weight: bold;
            color: $real-black;
          }

          .list-title {
            display: flex;
            align-items: center;
            padding-bottom: 5px;
            border-bottom: 1px solid #d8d8d8;

            li {
              width: 17.28%;

              &:nth-child(1) {
                padding-left: 3px;
              }

              &:nth-child(2) {
                .title-list {
                  text-align: right;
                }
              }

              &:nth-child(3) {
                width: 32.4%;

                .title-list {
                  text-align: right;
                }
              }

              &:nth-child(4) {
                width: 33.04%;
                padding-right: 10px;

                .title-list {
                  text-align: right;
                }
              }

              .title-list {
                display: block;
                font-size: 12px;
                font-weight: bold;
                color: $real-black;
              }
            }
          }

          .list-content {
            padding: 11px 0 11px;
            border-bottom: 1px solid #d8d8d8;

            li {
              width: 100%;
              margin-bottom: 12px;

              .list-detail {
                display: flex;
                align-items: center;

                li {
                  width: 17.28%;
                  margin-bottom: 0;

                  &:nth-child(1) {
                    padding-left: 5px;

                    .number {
                      font-weight: bold;
                    }
                  }

                  &:nth-child(2) {
                    padding-right: 12px;

                    .number {
                      text-align: right;
                    }
                  }

                  &:nth-child(3) {
                    width: 32.4%;
                    padding-right: 5px;

                    .number {
                      font-weight: bold;
                      text-align: right;
                    }
                  }

                  &:nth-child(4) {
                    width: 33.04%;
                    padding-right: 10px;

                    .number {
                      text-align: right;
                    }
                  }

                  .number {
                    display: block;
                    font-size: 12px;
                    color: $real-black;
                  }
                }
              }

              &:last-child {
                margin-bottom: 0;
              }
            }
          }
        }

        // box resv
        .box-resv {
          padding-top: 20px;

          // list title
          .list-title {
            display: flex;
            align-items: center;
            margin-bottom: 11px;

            li {
              width: 50%;

              &:nth-child(1) {
                padding-left: 5px;
              }

              &:nth-child(2) {
                padding-left: 12px;
              }

              .title-box {
                display: block;
                font-size: 16px;
                font-weight: bold;
              }
            }
          }

          // list content
          .list-content {
            padding-bottom: 22px;

            li {
              width: 100%;
              margin-bottom: 17px;

              .list-sub {
                display: flex;
                align-items: center;

                li {
                  display: flex;
                  align-items: center;
                  width: 50%;
                  margin-bottom: 0;

                  &:nth-child(1) {
                    padding-left: 5px;
                  }

                  &:nth-child(2) {
                    padding-left: 12px;
                  }

                  .black-num {
                    display: block;
                    width: 50%;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    font-size: 12px;
                    font-weight: bold;
                    color: $real-black;
                  }

                  .sub-num {
                    display: block;
                    width: 50%;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    font-size: 12px;
                    color: $real-black;
                  }
                }
              }

              &:last-child {
                margin-bottom: 0;
              }
            }
          }
        }

        // box-format
        .box-format {
          .list-title {
            display: flex;
            align-items: center;

            li {
              width: 50%;

              &:nth-child(1) {
                padding-left: 5px;
              }

              &:nth-child(2) {
                padding-left: 12px;
              }

              .title-box {
                display: block;
                width: 95%;
                margin-bottom: 9px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                font-size: 16px;
                font-weight: bold;
                text-transform: capitalize;
              }
            }
          }

          // list-content
          .list-content {
            padding-bottom: 16px;
            border-bottom: 1px solid #e0e0e0;

            li {
              width: 100%;
              margin-bottom: 13px;

              .list-sub {
                display: flex;
                align-items: center;

                li {
                  width: 50%;
                  margin-bottom: 0;

                  &:nth-child(1) {
                    padding-left: 5px;
                  }

                  &:nth-child(2) {
                    padding-left: 12px;
                  }

                  .text-list {
                    display: flex;
                    align-items: center;
                  }

                  .tempera-text {
                    display: block;
                    width: 24px;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    font-size: 12px;
                    color: $real-black;
                    text-transform: capitalize;
                  }

                  .black-text {
                    display: block;
                    width: 53px;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    font-size: 12px;
                    font-weight: bold;
                    color: $real-black;
                    text-transform: capitalize;
                  }

                  .sub-text {
                    display: block;
                    width: 40px;
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    font-size: 12px;
                    color: $real-black;
                    text-transform: capitalize;
                  }
                }
              }

              &:last-child {
                margin-bottom: 0;
              }
            }
          }
        }

        // bottom-box
        .bottom-box {
          display: flex;
          align-items: center;
          justify-content: space-between;
          padding-top: 18px;

          .name-b-box {
            display: block;
            font-size: 16px;
            font-weight: bold;
            color: $real-black;
          }

          .total-index {
            display: flex;
            align-items: center;
            text-align: right;

            .num-b-bottom {
              display: block;
              font-size: 14px;
              font-weight: bold;
              color: $real-black;
            }

            .sub-num {
              display: block;
              font-size: 14px;
              color: $real-black;
            }
          }
        }
      }

      // click export
      .click-export {
        display: block;
        font-size: 14px;
        font-weight: bold;
        color: #205cb9;
        position: absolute;
        top: 24px;
        right: 22px;
      }
    }
  }
}

.content-loading {
  display: block;
  width: 100%;
  height: calc(100vh - 60px);
  position: absolute;
  top: 0;
  left: 142px;
}

.dark-overlay {
  display: none;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  position: absolute;
  top: 0;
  left: 0;
  z-index: 499;
}
